% MIT License
% 
% Copyright (c) [2023] [Mohammad Khorrami]
% 
% Permission is hereby granted, free of charge, to any person obtaining a copy
% of this software and associated documentation files (the "Software"), to deal
% in the Software without restriction, including without limitation the rights
% to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
% copies of the Software, and to permit persons to whom the Software is
% furnished to do so, subject to the following conditions:
% 
% The above copyright notice and this permission notice shall be included in all
% copies or substantial portions of the Software.
% 
% THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
% IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
% FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
% AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
% LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
% OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
% SOFTWARE.

clc
clear
close all

% Load data
load('Fig2_LonLat_dz_std.txt')
% column #1: Longitude(deg)
% column #2: Latitude(deg)
% column #3: VLM rate (cm/yr) 
% column #4: VLM Standard deviation (cm/yr) 

figure
geobasemap;
geoscatter(Fig2_LonLat_dz_std(:,2),Fig2_LonLat_dz_std(:,1),5, Fig2_LonLat_dz_std(:,3),'s', 'filled');
colormap(flipud(bipolar(256,1,'linear')))
colorbar
grid off
title('VLM (cm/yr)')